Bug 887563 - anaconda manual partitioning created partitions are not being shown in any tree ('biosboot' and 'prepboot') [NEEDINFO]
Summary: anaconda manual partitioning created partitions are not being shown in any tr...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-16 12:55 UTC by Reartes Guillermo
Modified: 2013-12-19 19:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-19 19:34:26 UTC
Type: Bug
clumens: needinfo? (rtguille)


Attachments (Terms of Use)

Description Reartes Guillermo 2012-12-16 12:55:37 UTC
Description of problem:

When one creates (for whatever reason) more than one partition of type 'biosboot' or 'prepboot' in anaconda's manual partitioning, only the first instance is shown in a tree. The remaining partitions are not displayed in any tree, but they will be correctly created during install.

Version-Release number of selected component (if applicable):
anaconda 18.37.2

How reproducible:
always

Steps to Reproduce:

0. Boot F18-TC2
1. Enter STORAGE: INSTALLATION DESTINATION
2. Select the disk and do 'manual partitioning'
3. Delete all existing partitions
4. Create a 1mb biosboot partition
5. Create a 1mb biosboot partition AGAIN (it will not be shown).
6. Create a 1mb biosboot partition AGAIN (it will not be shown).
7. Create a / of 5gb
8. Press 'finish partitioning'
  
Note: For steps 4. to 6. one can use either a 1mb 'biosboot' or a 10mb 'prepboot' partition.

Actual results:
the partitions are created, but they are not shown in any tree during anaconda manual partitioning.

Expected results:
shown all partitions that will be created

Comment 1 Chris Lumens 2012-12-18 04:12:52 UTC
Please attach /tmp/anaconda.log and /tmp/storage.log to this bug report.


Note You need to log in before you can comment on or make changes to this bug.